import { type Base, genBase } from './_base'
import type { Regency } from './regency'

export interface District extends Base {
  regency_code: string
  code: string
  name: string

  // preload
  regency?: Regency | null
}

export function genDistrict(): District {
  return {
    ...genBase(),
    regency_code: '',
    name: '',
    code: '',
  }
}
